#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint8_t uint8_eq_const_0_0;
    uint8_t uint8_eq_const_1_0;
    uint8_t uint8_eq_const_2_0;
    uint8_t uint8_eq_const_3_0;
    uint8_t uint8_eq_const_4_0;
    uint8_t uint8_eq_const_5_0;
    uint8_t uint8_eq_const_6_0;
    uint8_t uint8_eq_const_7_0;
    uint8_t uint8_eq_const_8_0;
    uint8_t uint8_eq_const_9_0;
    uint8_t uint8_eq_const_10_0;
    uint8_t uint8_eq_const_11_0;
    uint8_t uint8_eq_const_12_0;
    uint8_t uint8_eq_const_13_0;
    uint8_t uint8_eq_const_14_0;
    uint8_t uint8_eq_const_15_0;
    uint8_t uint8_eq_const_16_0;
    uint8_t uint8_eq_const_17_0;
    uint8_t uint8_eq_const_18_0;
    uint8_t uint8_eq_const_19_0;
    uint8_t uint8_eq_const_20_0;
    uint8_t uint8_eq_const_21_0;
    uint8_t uint8_eq_const_22_0;
    uint8_t uint8_eq_const_23_0;
    uint8_t uint8_eq_const_24_0;
    uint8_t uint8_eq_const_25_0;
    uint8_t uint8_eq_const_26_0;
    uint8_t uint8_eq_const_27_0;
    uint8_t uint8_eq_const_28_0;
    uint8_t uint8_eq_const_29_0;
    uint8_t uint8_eq_const_30_0;
    uint8_t uint8_eq_const_31_0;

    if (size < 32)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_1_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_4_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_5_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_6_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_7_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_8_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_9_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_10_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_11_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_12_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_13_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_14_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_15_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_16_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_17_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_18_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_19_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_20_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_21_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_22_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_23_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_24_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_25_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_26_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_27_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_28_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_29_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_30_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_31_0, &data[i], 1);
    i += 1;


    if (uint8_eq_const_0_0 == 190)
    if (uint8_eq_const_1_0 == 43)
    if (uint8_eq_const_2_0 == 206)
    if (uint8_eq_const_3_0 == 35)
    if (uint8_eq_const_4_0 == 23)
    if (uint8_eq_const_5_0 == 6)
    if (uint8_eq_const_6_0 == 140)
    if (uint8_eq_const_7_0 == 72)
    if (uint8_eq_const_8_0 == 247)
    if (uint8_eq_const_9_0 == 231)
    if (uint8_eq_const_10_0 == 88)
    if (uint8_eq_const_11_0 == 3)
    if (uint8_eq_const_12_0 == 207)
    if (uint8_eq_const_13_0 == 133)
    if (uint8_eq_const_14_0 == 213)
    if (uint8_eq_const_15_0 == 149)
    if (uint8_eq_const_16_0 == 176)
    if (uint8_eq_const_17_0 == 142)
    if (uint8_eq_const_18_0 == 29)
    if (uint8_eq_const_19_0 == 150)
    if (uint8_eq_const_20_0 == 229)
    if (uint8_eq_const_21_0 == 160)
    if (uint8_eq_const_22_0 == 97)
    if (uint8_eq_const_23_0 == 231)
    if (uint8_eq_const_24_0 == 213)
    if (uint8_eq_const_25_0 == 66)
    if (uint8_eq_const_26_0 == 246)
    if (uint8_eq_const_27_0 == 101)
    if (uint8_eq_const_28_0 == 146)
    if (uint8_eq_const_29_0 == 66)
    if (uint8_eq_const_30_0 == 210)
    if (uint8_eq_const_31_0 == 168)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
